pioneers-meta-server(6)

NAME
pioneers-meta-server - meta game server for Pioneers

SYNOPSIS
pioneers-meta-server [options]

DESCRIPTION
Pioneers is an implementation of the popular, award-winning "Settlers of Catan" board game. It uses a client/server model for networked play. This program provides a piece of network infrastructure that helps match pioneers clients to pioneers servers. Casual players of pioneers probably do not need to run this program.

OPTIONS

-h  Print a short help text and exit.

-d  Run in daemon mode.

-r location
    Redirect to location.

-s hostname
    Use hostname as hostname when creating servers.

-p from-to
    Use ports in the range from-to (inclusive) for started servers. It is advised not to include port 5555 in the range. (See BUGS below.) When this range is not specified, the meta-server will not be able to create new games.

ENVIRONMENT
The default settings of the meta-server can be influenced with the following three environment variables:

PIONEERS_META_SERVER
    The hostname the meta-server will use when creating new games. This should be a hostname that can be resolved by all clients that will connect.

PIONEERS_SERVER_CONSOLE
    The path to pioneers-server-console. If it is not set, the default installation path will be used.

PIONEERS_DIR
    The path to the game definition files. If it is not set, the default installation path will be used.

FILES
/usr/local/share/pioneers/*.game
    Game definitions

BUGS
pioneers-server-console uses port 5555 for its admin connection. This means that only the first server started from the meta-server will actually succeed in binding to that. For all subsequent servers, the admin socket fails to open, and thus cannot be connected to.

AUTHOR
This manual page was written by Jeff Breidenbach <jab@debian.org>, and updated by Roland Clobus <rclobus@bigfoot.com> and Bas Wijnen <shevek@fmf.nl>. Pioneers was written by Dave Cole <dave@dccs.com.au>, Andy Heroff <aheroff@mediaone.net>, and Roman Hodek <roman@hodek.net>, with contributions from many other developers on the Internet; see the AUTHORS file in the pioneers distribution or the help->about dialog in one of the graphical programs for a complete list of contributing authors.

SEE ALSO
pioneers(6), pioneers-server-gtk(6), pioneers-server-console(6)